import { Component, OnInit, Input, Output, EventEmitter } from '@angular/core';
import {
  TranslationEventJson,
  Info,
  MassTranslationEventJson
} from '@ucap-webmessenger/protocol-event';

@Component({
  selector: 'ucap-chat-message-box-mass-translation',
  templateUrl: './mass-translation.component.html',
  styleUrls: ['./mass-translation.component.scss']
})
export class MassTranslationComponent implements OnInit {
  @Input()
  message: Info<MassTranslationEventJson>;

  @Input()
  translationSimpleview: boolean;

  @Input()
  isMe: boolean;

  @Output()
  massTranslationDetail = new EventEmitter<{
    contents: string;
    contentsType: string;
  }>();

  constructor() {}

  ngOnInit() {}

  onClickMassDetail(contentsType: string) {
    let contents = '';
    if (contentsType === 'O') {
      contents = this.message.sentMessageJson.original;
    } else {
      contents = this.message.sentMessageJson.translation;
    }

    this.massTranslationDetail.emit({
      contents,
      contentsType
    });
  }
}
